Skip to content

Bump justinrainbow/json-schema from 5.3.4 to 6.13.0 - #1075

Closed
dependabot[bot] wants to merge 1 commit into
mainfrom
dependabot/composer/justinrainbow/json-schema-6.13.0
Closed

dependabot[bot] wants to merge 1 commit into
mainfrom
dependabot/composer/justinrainbow/json-schema-6.13.0

Conversation

@dependabot

@dependabot dependabot Bot commented on behalf of github Sep 28, 2026 •

Copy link
Copy Markdown
Contributor

Bumps justinrainbow/json-schema from 5.3.4 to 6.13.0.

Release notes

Sourced from justinrainbow/json-schema's releases.

6.13.0

Fixed

  • fix: Reject percent signs that do not introduce a hex triplet in relative references (#959)
  • Validate iri and iri-reference formats according to RFC 3987 (#962)
  • Fix uri-template rejecting non-Latin literals on PCRE2 10.46 (#961)
  • Validate uri-template format according to RFC 6570 (#960)
  • fix: Address warning on PHPUnit process due to upstream changes (#956)
  • Resolve nested schema ids against their enclosing base uri (#947)

Added

  • Validate idn-email format (#963)

6.12.0

Fixed

  • Report additional property errors at the property path (#942)
  • Fix RFC 3339 date-time validation with high-precision fractional seconds (#940)

Added

  • Define minimal permissions on every workflow (#941)
  • feat: Add --allow-invalid-content-type-endpoint option to validate-json (#932)

Changed

  • fix: Avoid restricted stargazers endpoint in Welcome workflow and avoid running for bot user types (#946)
  • fix: Correct changelog and changelog updates (#945)

6.11.0

Fixed

  • fix: Handle null byte when validating date/time formats (#939)
  • fix: Correct php-cs-fixer setup (#938)
  • fix: Ignore Content-Type header parameters when checking media type (#934)
  • fix: Dont use mb_detect_encoding for mb_string function calls (#924)
  • Add missing ext-filter dependency (#922)

Changed

  • Update README with Draft 7 badge correction and include JetBrains logo (#921)

Added

  • Update composer.json authors to reflect current active maintainer (#928)

6.10.0

Added

  • feat: Add Draft-2019-09 (#885)

6.9.0

... (truncated)

Changelog

Sourced from justinrainbow/json-schema's changelog.

[6.13.0] - 2026-09-23

Fixed

  • fix: Reject percent signs that do not introduce a hex triplet in relative references (#959)
  • Validate iri and iri-reference formats according to RFC 3987 (#962)
  • Fix uri-template rejecting non-Latin literals on PCRE2 10.46 (#961)
  • Validate uri-template format according to RFC 6570 (#960)
  • fix: Address warning on PHPUnit process due to upstream changes (#956)
  • Resolve nested schema ids against their enclosing base uri (#947)

Added

  • Validate idn-email format (#963)

[6.12.0] - 2026-09-04

Fixed

  • Report additional property errors at the property path (#942)
  • Fix RFC 3339 date-time validation with high-precision fractional seconds (#940)

Added

  • Define minimal permissions on every workflow (#941)
  • feat: Add --allow-invalid-content-type-endpoint option to validate-json (#932)

Changed

  • fix: Avoid restricted stargazers endpoint in Welcome workflow and avoid running for bot user types (#946)
  • fix: Correct changelog and changelog updates (#945)

[6.11.0] - 2026-08-21

Fixed

  • fix: Handle null byte when validating date/time formats (#939)
  • fix: Correct php-cs-fixer setup (#938)
  • fix: Ignore Content-Type header parameters when checking media type (#934)
  • fix: Dont use mb_detect_encoding for mb_string function calls (#924)
  • Add missing ext-filter dependency (#922)

Changed

  • Update README with Draft 7 badge correction and include JetBrains logo (#921)

Added

  • Update composer.json authors to reflect current active maintainer (#928)

[6.10.0] - 2026-06-16

Added

  • feat: Add Draft-2019-09 (#885)

... (truncated)

Commits
  • 30de5e9 docs: Prepare release 6.13.0
  • a8ffde7 docs: Update CHANGELOG.md for PR #963
  • f7203d5 Validate idn-email format (#963)
  • a5c7df8 docs: Update CHANGELOG.md for PR #959
  • f6aafbe fix: Reject percent signs that do not introduce a hex triplet in relative ref...
  • 003d453 docs: Update CHANGELOG.md for PR #962
  • 1857270 Validate iri and iri-reference formats according to RFC 3987 (#962)
  • 41f1ade docs: Update CHANGELOG.md for PR #961
  • 736302e Fix uri-template rejecting non-Latin literals on PCRE2 10.46 (#961)
  • 75591be docs: Update CHANGELOG.md for PR #960
  • Additional commits viewable in compare view

@dependabot dependabot Bot added dependencies Pull requests that update a dependency file php Pull requests that update Php code labels Sep 28, 2026
@dependabot
dependabot Bot force-pushed the dependabot/composer/justinrainbow/json-schema-6.13.0 branch 2 times, most recently from 5978e98 to 3cd0651 Compare September 29, 2026 06:44
Bumps [justinrainbow/json-schema](https://github.com/jsonrainbow/json-schema) from 5.3.4 to 6.13.0.
- [Release notes](https://github.com/jsonrainbow/json-schema/releases)
- [Changelog](https://github.com/jsonrainbow/json-schema/blob/main/CHANGELOG.md)
- [Commits](jsonrainbow/json-schema@5.3.4...6.13.0)

---
updated-dependencies:
- dependency-name: justinrainbow/json-schema
  dependency-version: 6.13.0
  dependency-type: direct:production
  update-type: version-update:semver-major
...

Signed-off-by: dependabot[bot] <support@github.com>
@dependabot
dependabot Bot force-pushed the dependabot/composer/justinrainbow/json-schema-6.13.0 branch from 3cd0651 to cee90e8 Compare September 30, 2026 04:14
@staabm staabm closed this Sep 30, 2026
@dependabot @github

dependabot Bot commented on behalf of github Sep 30, 2026

Copy link
Copy Markdown
Contributor Author

OK, I won't notify you again about this release, but will get in touch when a new version is available. If you'd rather skip all updates until the next major or minor version, let me know by commenting @dependabot ignore this major version or @dependabot ignore this minor version. You can also ignore all major, minor, or patch releases for a dependency by adding an ignore condition with the desired update_types to your config file.

If you change your mind, just re-open this PR and I'll resolve any conflicts on it.

@dependabot
dependabot Bot deleted the dependabot/composer/justinrainbow/json-schema-6.13.0 branch September 30, 2026 04:20
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment

Labels

dependencies Pull requests that update a dependency file php Pull requests that update Php code

Projects

None yet

Development

Successfully merging this pull request may close these issues.

1 participant